package com.zcloud.service.eightwork;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.util.ReturnMap;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2024/01/17 11:29
 */
public interface BlindBoardService {
    void save(PageData pd)throws Exception;

    void edit(PageData pd)throws Exception;

    void delete(PageData pd)throws Exception;

    List<PageData> list(Page page) throws Exception;

    void nextStep(PageData pd, MultipartFile[] files) throws Exception;

    PageData findById(PageData pd) throws Exception;

    PageData listSignFinished(PageData pd) throws Exception;

    PageData checkWorkCount(PageData pd);

    //获取所有措施(bus_highwork_measures)
    List<PageData> listAllMeasures() throws Exception;
//
//    //获取需要签字的措施(bus_highworktomeasures)
    List<PageData> listAllMeasuresForSign(PageData pd) throws Exception;
//
//    //获取所有签字完成的措施(bus_highworktomeasures)
    List<PageData> listSignFinishMeasures(PageData pd) throws Exception;


    List<PageData> getFlowList(PageData pd)throws Exception;

    ReturnMap getMapList()throws Exception;
}
